# Interface RangeInfoJson

Range Information.

See https://developers.arcgis.com/web-scene-specification/objects/rangeInfo/.

interface RangeInfoJson {
currentRangeExtent?: [number, number];
field?: string;
fullRangeExtent?: [number, number];
name?: string;
type: "rangeInfo";
}

#####
Index

### Properties

currentRangeExtent?
field?
fullRangeExtent?
name?
type

##
Properties

### `Optional` currentRangeExtent

currentRangeExtent?: [number, number]

Contains the min and max values within which the features are visible.

### `Optional` field

field?: string

Field name to used for the range.

### `Optional` fullRangeExtent

fullRangeExtent?: [number, number]

Contains the min and max values of all the features for this rangeInfo.

### `Optional` name

name?: string

A unique name that can be referenced by webMap.activeRanges.

### type

type

Type of range object. Value of this property must be rangeInfo.